<?php
require'f_galerie.php';
require'f_conectare.php';
conectare('adauga album poze','adauga-album-poze');
$titlu='Adaugă album poze';
require'f_sus.php';
if($page==1)
{
require'f_mut.php';
$tip=$_POST['tip'];
$valoare=$_POST['valoare'];
$id_membru=0;
if($tip==3)
$id_membru=$conn->query('SELECT`id`FROM`membrii`WHERE`nume`="'.$valoare.'"')->fetch_row()[0];
require'f_blocat.php';
if($pmtext=='')
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai completat numele albumului!';
elseif(blocat($pmtext))
{
$tip='nume album poze';
$text=$pmtext;
require'f_ban.php';
}
elseif($conn->query('SELECT COUNT(*)FROM`galerie_albume`WHERE`nume`="'.$pmtext.'"&&`de`="'.$de.'"')->fetch_row()[0]>0)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Ai mai adăugat un album cu acest nume!';
elseif($tip>1&&$valoare=='')
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai completat '.($tip==2?'parola albumului':'numele membrului pentru care e destinat albumul').'!';
elseif($tip==2&&mb_strlen($valoare)<4)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Parola albumului trebuie să conțină minim <strong>4</strong> caractere!';
elseif($tip==3&&($id_membru<1||$id_membru==$de))
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].($id_membru==$de?'Nu poți să adaugi un album care să-ți fie accesibil doar tie!':'Numele <strong>'.$valoare.'</strong> nu apare înregistrat în baza de date a site-ului '.$adresasite[1].'!<br />Verifica dacă l-ai scris corect!');
elseif($conn->query('INSERT INTO`galerie_albume`SET`nume`="'.$pmtext.'",`tip`="'.$tip.'",`valoare`="'.($tip==3?$id_membru:$valoare).'",`data`="'.$_SERVER['REQUEST_TIME'].'",`de`="'.$de.'"'))
{
$fid=$conn->insert_id;
if($tip==3)
{
require'f_notificare.php';
notificare('am adăugat în galerie albumul de poze [url=/poze-membru/la/'.$de.'-'.seo(nume($de,1)).'/album/'.$fid.'-'.seo($pmtext).']'.$pmtext.'[/url], album a caror poze le poți vedea doar tu!',$id_membru,$de);
}
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Albumul <a href="/poze-membru/la/'.$de.'-'.seo(nume($de,1)).'/album/'.$fid.'-'.seo($pmtext).'">'.htmlspecialchars($pmtext).'</a> a fost adăugat!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Eroare în baza de date!';
echo$div[0];
}
else
{
echo$div[4].'<img src="'.$domenii_statice[1].'adauga.gif" alt="" />Adaugă album poze'.$div[5].$div[1].'<a href="/informatii-albume-poze">'.img('galerie.png',1).'Informații albume poze</a>'.$div[0];
$form[0]=$_SERVER['REQUEST_URI'].'/pagina/1" method="post';
$form[1]=0;
require'f_scris3.php';
$confidentialitate_albume='';
$albume=count($confidentialitate_album);
for($i=0;$i<$albume;$i++)
{
$confidentialitate_albume.=$i.',,'.$confidentialitate_album[$i].'::';
}
$form[2]=$div[1].'Nume album:<br /><input name="pmtext" />'.$div[0].$div[1].'Confidentialitate album:<br />'.scris3('tip',$confidentialitate_albume,0).$div[0].$div[10].'Daca ai ales ca albumul să fie cu parola sau pentru un singur membru, scrie mai jos parola <strong>minim 4 caractere</strong>, sau numele membrului <strong>exact cum apare pe site</strong>!'.$div[0].$div[1].'Valoare:<br /><input name="valoare" />'.$div[0];
$form[3]='pmtext::tip::valoare';
$form[4]='Adauga';
require'f_form.php';
}
require'f_jos.php';